import { EventEmitter, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { ActiveDirectoryService, User } from '@cleavelandprice/ngx-lib/active-directory';
import { ContentChange, Blur, Focus, EditorChangeContent, EditorChangeSelection, SelectionChange, QuillEditorComponent } from 'ngx-quill';
import 'quill-mention';
import { Config } from '../../model/config';
import { DialogData } from '../../model/dialog-data';
import * as i0 from "@angular/core";
export declare class EditorComponent implements OnInit {
    private dialogRef;
    private activeDirectoryService;
    private dialog;
    editor: QuillEditorComponent | undefined;
    formGroup: FormGroup;
    controlName: string;
    ngModelValue: string | undefined;
    config: Config;
    placeholder: string | undefined;
    users: User[] | undefined;
    format: 'object' | 'html' | 'text' | 'json';
    height: string;
    width: string;
    maxHeight: string;
    maxWidth: string;
    enableTooltips: boolean;
    fullscreen: boolean;
    fullscreenMode: 'expand' | 'popout';
    readonly: boolean;
    imageResizeModule: boolean;
    imageDropModule: boolean;
    mentionModule: boolean;
    syntaxModule: boolean;
    fullscreenChanged: EventEmitter<boolean>;
    onBlur: EventEmitter<Blur>;
    onContentChanged: EventEmitter<ContentChange>;
    onEditorChanged: EventEmitter<EditorChangeContent | EditorChangeSelection>;
    onEditorCreated: EventEmitter<any>;
    onFocus: EventEmitter<Focus>;
    onSelectionChanged: EventEmitter<SelectionChange>;
    constructor(data: DialogData, dialogRef: MatDialogRef<EditorComponent>, activeDirectoryService: ActiveDirectoryService, dialog: MatDialog);
    ngOnInit(): void;
    toggleFullscreen(): void;
    tooltip(val: string): string;
    get modules(): {} | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorComponent, [{ optional: true; }, { optional: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorComponent, "cpquill-editor", never, { "formGroup": "formGroup"; "controlName": "controlName"; "ngModelValue": "ngModelValue"; "config": "config"; "placeholder": "placeholder"; "users": "users"; "format": "format"; "height": "height"; "width": "width"; "maxHeight": "maxHeight"; "maxWidth": "maxWidth"; "enableTooltips": "enableTooltips"; "fullscreen": "fullscreen"; "fullscreenMode": "fullscreenMode"; "readonly": "readonly"; "imageResizeModule": "imageResizeModule"; "imageDropModule": "imageDropModule"; "mentionModule": "mentionModule"; "syntaxModule": "syntaxModule"; }, { "fullscreenChanged": "fullscreenChanged"; "onBlur": "onBlur"; "onContentChanged": "onContentChanged"; "onEditorChanged": "onEditorChanged"; "onEditorCreated": "onEditorCreated"; "onFocus": "onFocus"; "onSelectionChanged": "onSelectionChanged"; }, never, never, false>;
}
